<div class="container" id="content">
    <div xmlns:th="http://www.thymeleaf.org">
        <ol class="breadcrumb" th:fragment="breadcrumbs">
            <li>
                <a th:href="@{/}" th:text="#{Home}">Accueil</a>
            </li>
            <li>
                <a th:href="@{/record}" th:text="#{Record}">Dossiers</a>
            </li>
            <li class="active">
                <span th:text="${code}">2018-07-REC-ORD-42</span>
            </li>
        </ol>
    </div>
    <div class="error expression" th:fragment="mainContent" xmlns:th="http://www.thymeleaf.org">
        <h2 th:text="#{Oups}">Oups</h2>
        <h1 th:text="#{An error occured while processing record step}">Une erreur est survenue lors du traitement de l'étape du dossier</h1>
        <div class="clearfix">
            <th:block th:if="${error.class.simpleName == 'ExpressionException'}">
                <p th:if="${error.filename}" th:text="|#{File} : ${error.filename}|">Fichier : [nom du fichier]</p>
            </th:block>
            <p th:if="${error.message}" th:text="|#{Error} : ${error.message}|">Erreur : [message d'erreur]</p>
        </div>
        <th:block th:if="${error.class.simpleName == 'ExpressionException'}">
            <pre class="line-numbers" th:attr="data-line=${error.lineNumber}" style="line-height: 15px"><code class="language-javascript" style="line-height: 15px" th:text="${error.expression}">
                if (location.protocol === 'file:') {
                    $('[role="account"] [role="login"]').on('click', function (evt) {
                        evt.preventDefault();
                        storage('_geconnected', 'connected');
                        history.go();
                    });
        
                    $('[role="account"] [role="logout"]').on('click', function (evt) {
                        evt.preventDefault();
                        storage('_geconnected', null);
                        history.go();
                    });
                }
            </code></pre>
            <script>
            require([ 'jquery', 'prismjs', 'prismjs/line-numbers', 'prismjs/line-highlight' ], function ($, prism) {
                [ 'prism', 'prism-line-highlight', 'prism-line-numbers' ].forEach(function (css) {
                    $('head').append('<link rel="stylesheet" href="/css/libs/prismjs/' + css + '.css" />');
                });
            });
            </script>
        </th:block>
    </div>
</div>
